Subject: [bug#70087] [PATCH 1/4] gnu: gecode: Update to development version 6.3.0.

From: Andreas Enge <[email-masked]>
Date: Sun, 12 May 2024 21:08:55 +0200

Hello,

Am Sat, Mar 30, 2024 at 12:40:05PM +0100 schrieb Herman Rimm:
> * gnu/packages/maths.scm (gecode): Update.
> -    (version "6.2.0")
> +    (version "6.3.0")
>      (source (origin
>                (method git-fetch)
>                (uri (git-reference
>                      (url "https://github.com/Gecode/gecode")
> -                    (commit (string-append "release-" version))))
> +                    (commit "2d20e88cae176584b6e09d909aca3eb72ae76829")))

we normally only package the latest released version; indeed this dates
from 2019 and is 6.2.0 according to their webpage.
Is a newer package really needed? Why this commit from 2020, and not another
one from 2024? Their git repository is, let us say, unusual: The master
branch has not seen any commit after the 6.2.0 release except for a license
change. Work seems to be done in the origin/release/6.3.0 branch.

So without compelling reason, I would suggest to not do the update;
in any case it could not be called 6.3.0, since there is no such release.

Maybe joining issue
   https://github.com/Gecode/gecode/issues/177
from last August to make a new release would be a path forward?

Andreas